package org.artifactory.ui.rest.model.admin.advanced.systemlogs;

import org.artifactory.rest.common.service.ArtifactoryRestRequest;
import org.artifactory.rest.common.service.ArtifactoryRestResponse;
import org.artifactory.rest.common.service.RestResponse;
import org.artifactory.test.ArtifactoryHomeBoundTest;
import org.artifactory.ui.rest.service.admin.advanced.systemlogs.GetSysLogsInitializeService;
import org.mockito.Mockito;
import org.testng.annotations.Test;

import java.util.Arrays;
import java.util.List;

import static org.testng.Assert.assertTrue;

@Test
public class SystemLogsInitializeTest extends ArtifactoryHomeBoundTest {


    public void testSystemLogsInitialize() {
        ArtifactoryRestRequest request = Mockito.mock(ArtifactoryRestRequest.class);
        RestResponse response = new ArtifactoryRestResponse();

        GetSysLogsInitializeService sysLogsInitializeService = new GetSysLogsInitializeService();
        sysLogsInitializeService.execute(request, response);

        SystemLogsInitialize systemLogsInitialize = (SystemLogsInitialize) response.getIModel();
        List<String> logFiles = systemLogsInitialize.getLogs();

        assertTrue(logFiles.containsAll(
                Arrays.asList("artifactory-service.log", "artifactory-access.log", "artifactory-import-export.log",
                        "artifactory-request.log", "console.log")));
    }
}